#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.0.4
visibility:           public
id:                   persistent-test-2.13.0.4-45Wv4UteLN1arkF3oMRwc
key:                  persistent-test-2.13.0.4-45Wv4UteLN1arkF3oMRwc
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  171bd1a626ddba009816d02dba33c543
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.0.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.0.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.0.4-45Wv4UteLN1arkF3oMRwc
depends:
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.2-8zyY9zXCBqJEtGUr0EcOS8
    aeson-1.5.6.0-9RfWlbr0iJzGkGGEmlWhlU base-4.15.1.0
    blaze-html-0.9.1.2-9Dm2PjkNVE1Eb2DyRst6ne bytestring-0.10.12.1
    conduit-1.3.4.2-JoUqCIHmBB5RWjBTEBYsp containers-0.6.4.1
    exceptions-0.10.4 hspec-2.9.4-7uhq9HzbD7y48ET9xVcGBm
    hspec-expectations-0.8.2-6qi8cjonJ6NDcZGGp2xU9X
    http-api-data-0.4.3-KDWPxZtbXHX1gQduHUfh5X
    monad-control-1.0.3.1-FV5bJIOFOVz5czQSBWQafK
    monad-logger-0.3.36-KJ9QSeEWfckmxdbPkLJgN mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.2.1-Bo30S4wAqAx7SRdvuf4sAQ
    quickcheck-instances-0.3.27-EmrUrajR7SLGLn0Y8mibPg
    random-1.2.1-5J0ZhMIxycI8iOnaSxybOH
    resourcet-1.2.4.3-HAe0P8Qs7FZDeDqj1OaiUL text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-5vP4s6ySMy2NfkIyOGtNC
    unliftio-0.2.21.0-D6NKxA2CHQfErrpDVjQA0M
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.17.0-4bcRecgfIOjL5KIXJoFyIi

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

